org.eclipse.jgit.diff

## Enum DiffAlgorithm.SupportedAlgorithm

- java.lang.Object
- - java.lang.Enum<DiffAlgorithm.SupportedAlgorithm>
  - - org.eclipse.jgit.diff.DiffAlgorithm.SupportedAlgorithm

All Implemented Interfaces:
  Serializable, Comparable<DiffAlgorithm.SupportedAlgorithm>

Enclosing class:
  DiffAlgorithm

    public static enum DiffAlgorithm.SupportedAlgorithm
    extends Enum<DiffAlgorithm.SupportedAlgorithm>

Supported diff algorithm

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HISTOGRAM` Histogram diff algorithm
`MYERS` Myers diff algorithm

### Method Summary

Methods
`static DiffAlgorithm.SupportedAlgorithm` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DiffAlgorithm.SupportedAlgorithm[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MYERS

    public static final DiffAlgorithm.SupportedAlgorithm MYERS

Myers diff algorithm

#### HISTOGRAM

    public static final DiffAlgorithm.SupportedAlgorithm HISTOGRAM

Histogram diff algorithm

### Method Detail

#### values

    public static DiffAlgorithm.SupportedAlgorithm[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DiffAlgorithm.SupportedAlgorithm c : DiffAlgorithm.SupportedAlgorithm.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DiffAlgorithm.SupportedAlgorithm valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null